scala.tools.cmd.gen.AnyValReps

# AnyValNum

#### sealed abstract class AnyValNum extends AnyVals.AnyValRep

Source
  AnyVals.scala

Linear Supertypes
AnyVals.AnyValRep, AnyRef, Any
Known Subclasses
B, C, D, F, I, L, S
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnyValNum
2. AnyValRep
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AnyValNum(name: String, repr: Option[String], javaEquiv: String)

### Type Members

1. #### case class Op(op: String, doc: String) extends Product with Serializable

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AnyVals.AnyValNum to any2stringadd[AnyVals.AnyValNum] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AnyVals.AnyValNum, B)

   Implicit information
     This member is added by an implicit conversion from AnyVals.AnyValNum to ArrowAssoc[AnyVals.AnyValNum] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def assemble(decl: String, lines: List[String]): String

   Definition Classes
     AnyValRep

8. #### def bitwiseOps: collection.immutable.List[Op]

9. #### def boxUnboxImpls: Map[String, String]

   Definition Classes
     AnyValRep

10. #### def boxedName: String

    Definition Classes
      AnyValRep

11. #### def boxedSimpleName: String

    Definition Classes
      AnyValRep

12. #### def classDoc: String

    Definition Classes
      AnyValRep

13. #### def classLines: collection.immutable.List[String]

    Definition Classes
      AnyValNum → AnyValRep

14. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

15. #### def clumps: List[List[String]]

16. #### def coercionComment: String

17. #### def commonClassLines: collection.immutable.List[String]

    Definition Classes
      AnyValRep

18. #### def comparisonOps: collection.immutable.List[Op]

19. #### def ensuring(cond: (AnyVals.AnyValNum) ⇒ Boolean, msg: ⇒ Any): AnyVals.AnyValNum

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValNum to Ensuring[AnyVals.AnyValNum] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: (AnyVals.AnyValNum) ⇒ Boolean): AnyVals.AnyValNum

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValNum to Ensuring[AnyVals.AnyValNum] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean, msg: ⇒ Any): AnyVals.AnyValNum

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValNum to Ensuring[AnyVals.AnyValNum] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean): AnyVals.AnyValNum

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValNum to Ensuring[AnyVals.AnyValNum] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

25. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

26. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValNum to StringFormat[AnyVals.AnyValNum] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### def implicitCoercions: List[String]

30. #### def indent(s: String): String

    Definition Classes
      AnyValRep

31. #### def indentN(s: String): String

    Definition Classes
      AnyValRep

32. #### def interpolate(s: String): String

    Definition Classes
      AnyValRep

33. #### def interpolations: Map[String, String]

    Definition Classes
      AnyValRep

34. #### def isCardinal: Boolean

35. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

36. #### val javaEquiv: String

    Definition Classes
      AnyValRep

37. #### def lcname: String

    Definition Classes
      AnyValRep

38. #### def make(): String

    Definition Classes
      AnyValRep

39. #### def mkBinOpsGroup(ops: List[Op], args: List[AnyVals.AnyValNum], resultFn: (AnyVals.AnyValNum) ⇒ AnyVals.AnyValRep): List[String]

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    ops

      list of function names e.g. List(">>", "%")

    args

      list of types which should appear as arguments

    resultFn

      function which calculates return type based on arg type

    returns

      list of function definitions

40. #### def mkClass: String

    Definition Classes
      AnyValRep

41. #### def mkCoercions: collection.immutable.List[String]

42. #### def mkImports: String

    Definition Classes
      AnyValRep

43. #### def mkObject: String

    Definition Classes
      AnyValRep

44. #### def mkShiftOps: collection.immutable.List[String]

45. #### def mkStringOps: collection.immutable.List[String]

46. #### def mkUnaryOps: collection.immutable.List[String]

47. #### val name: String

    Definition Classes
      AnyValRep

48. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

49. #### final def notify(): Unit

    Definition Classes
      AnyRef

50. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

51. #### def objectDoc: String

    Definition Classes
      AnyValRep

52. #### def objectLines: List[String]

    Definition Classes
      AnyValNum → AnyValRep

53. #### def opType(that: AnyVals.AnyValNum): AnyVals.AnyValNum

54. #### def otherOps: collection.immutable.List[Op]

55. #### val repr: Option[String]

    Definition Classes
      AnyValRep

56. #### def representation: String

    Definition Classes
      AnyValRep

57. #### def shiftOps: collection.immutable.List[Op]

58. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

59. #### def toString(): String

    Definition Classes
      AnyValRep → AnyRef → Any

60. #### def unaryOps: collection.immutable.List[Op]

61. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

64. #### def zeroRep: String

    Definition Classes
      AnyValRep

65. #### def →[B](y: B): (AnyVals.AnyValNum, B)

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValNum to ArrowAssoc[AnyVals.AnyValNum] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyVals.AnyValRep

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AnyVals.AnyValNum to any2stringadd[AnyVals.AnyValNum]

### Inherited by implicit conversion StringFormat from AnyVals.AnyValNum to StringFormat[AnyVals.AnyValNum]

### Inherited by implicit conversion Ensuring from AnyVals.AnyValNum to Ensuring[AnyVals.AnyValNum]

### Inherited by implicit conversion ArrowAssoc from AnyVals.AnyValNum to ArrowAssoc[AnyVals.AnyValNum]

### Ungrouped